Bug 4426 - On Irix, libfam.a and libC.so not used for resolving any symbol
On Irix, libfam.a and libC.so not used for resolving any symbol
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.25
SGI IRIX
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-02 11:33 UTC by Jason Mader
Modified: 2007-05-12 23:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2007-03-02 11:33:45 UTC
This is a new thing to happen,

Linking bin/smbd
ld32: WARNING 84 : /usr/lib32/libfam.a is not used for resolving any symbol.
ld32: WARNING 84 : /usr/lib32/libC.so is not used for resolving any symbol.

(jason)lou:~/ports/samba/samba-3.0.25pre1/source% ldd bin/smbd
        libexc.so  =>    /usr/lib32/libexc.so   
        libiconv.so.3  =>        /opt/lib32/libiconv.so.3       
        libC.so.2  =>    /usr/lib32/libC.so.2   
        libc.so.1  =>    /usr/lib32/libc.so.1   
        libm.so  =>      /usr/lib32/libm.so
Comment 1 Jason Mader 2007-03-24 12:50:43 UTC
This still happens in the Irix build as of 3.0.25pre2
Comment 2 Jason Mader 2007-03-24 12:52:32 UTC
--- bin/smbd ---
        echo Linking bin/smbd
        c99  -O -D_SAMBA_BUILD_=3 -diag_error 1035 -woff 1209,1174,3201 -I/home/ncac/jason/ports/samba/samba-3.0.25pre2/source/popt -I/home/ncac/jason/ports/samba/samba-3.0.25pre2/source/iniparser/src -Iinclude -I./include  -I. -I. -I./lib/replace -I./lib/talloc -I./tdb/include -I./libaddns -I./librpc -DHAVE_CONFIG_H  -I/opt/include    -I/home/ncac/jason/ports/samba/samba-3.0.25pre2/source/lib -D_SAMBA_BUILD_=3 -o bin/smbd dynconfig.o param/loadparm.o param/params.o lib/sharesec.o smbd/files.o smbd/chgpasswd.o smbd/connection.o  smbd/utmp.o smbd/session.o smbd/map_username.o  smbd/dfree.o smbd/dir.o smbd/password.o smbd/conn.o  smbd/share_access.o smbd/fileio.o  smbd/ipc.o smbd/lanman.o smbd/negprot.o  smbd/message.o smbd/nttrans.o smbd/pipes.o  smbd/reply.o smbd/sesssetup.o smbd/trans2.o smbd/uid.o  smbd/dosmode.o smbd/filename.o smbd/open.o smbd/close.o  smbd/blocking.o smbd/sec_ctx.o smbd/srvstr.o  smbd/vfs.o smbd/statcache.o  smbd/posix_acls.o lib/sysacls.o lib/server_mutex.o  smbd/process.o smbd/service.o smbd/error.o  printing/printfsp.o lib/sysquotas.o lib/sysquotas_linux.o  lib/sysquotas_xfs.o lib/sysquotas_4A.o  smbd/change_trust_pw.o smbd/fake_file.o  smbd/quotas.o smbd/ntquotas.o lib/afs.o smbd/msdfs.o  lib/afs_settoken.o smbd/aio.o smbd/statvfs.o  smbd/dmapi.o smbd/mangle.o smbd/mangle_hash.o smbd/mangle_map.o smbd/mangle_hash2.o  modules/vfs_default.o modules/vfs_irixacl.o libsmb/clientgen.o libsmb/cliconnect.o libsmb/clifile.o  libsmb/clikrb5.o libsmb/clispnego.o libsmb/asn1.o  libsmb/clirap.o libsmb/clierror.o libsmb/climessage.o  libsmb/clireadwrite.o libsmb/clilist.o libsmb/cliprint.o  libsmb/clitrans.o libsmb/clisecdesc.o libsmb/clidgram.o  libsmb/clistr.o libsmb/cliquota.o libsmb/clifsinfo.o libsmb/clidfs.o  libsmb/smberr.o libsmb/credentials.o libsmb/pwd_cache.o  libsmb/clioplock.o libsmb/errormap.o libsmb/clirap2.o  libsmb/doserr.o  rpc_parse/parse_prs.o rpc_parse/parse_misc.o rpc_parse/parse_sec.o libsmb/nterr.o libsmb/dcerpc_err.o libsmb/smbdes.o  libsmb/smbencrypt.o libsmb/ntlm_check.o  libsmb/ntlmssp.o libsmb/ntlmssp_parse.o libsmb/ntlmssp_sign.o libsmb/unexpected.o libsmb/namecache.o libsmb/nmblib.o  libsmb/namequery.o libsmb/conncache.o libads/dns.o  rpc_server/srv_lsa.o rpc_server/srv_lsa_nt.o  rpc_server/srv_reg.o rpc_server/srv_reg_nt.o registry/regfio.o rpc_server/srv_lsa_ds.o rpc_server/srv_lsa_ds_nt.o librpc/gen_ndr/srv_wkssvc.o rpc_server/srv_wkssvc_nt.o rpc_server/srv_svcctl.o rpc_server/srv_svcctl_nt.o  services/svc_spoolss.o services/svc_rcinit.o services/services_db.o  services/svc_netlogon.o services/svc_winreg.o  services/svc_wins.o rpc_server/srv_ntsvcs.o rpc_server/srv_ntsvcs_nt.o rpc_server/srv_netlog.o rpc_server/srv_netlog_nt.o rpc_server/srv_dfs.o rpc_server/srv_dfs_nt.o rpc_server/srv_srvsvc.o rpc_server/srv_srvsvc_nt.o rpc_server/srv_spoolss.o rpc_server/srv_spoolss_nt.o  rpc_server/srv_eventlog.o rpc_server/srv_eventlog_nt.o rpc_server/srv_eventlog_lib.o rpc_server/srv_samr.o rpc_server/srv_samr_nt.o  rpc_server/srv_samr_util.o rpc_server/srv_echo.o rpc_server/srv_echo_nt.o rpc_server/srv_pipe_hnd.o  rpc_server/srv_pipe.o rpc_server/srv_lsa_hnd.o rpc_parse/parse_lsa.o rpc_parse/parse_rpc.o rpc_parse/parse_net.o rpc_parse/parse_srv.o  rpc_parse/parse_samr.o  rpc_parse/parse_ds.o rpc_parse/parse_spoolss.o  rpc_parse/parse_eventlog.o rpc_parse/parse_buffer.o  rpc_parse/parse_ntsvcs.o rpc_parse/parse_svcctl.o registry/reg_objects.o  rpc_parse/parse_dfs.o  rpc_parse/parse_reg.o rpc_parse/parse_echo.o  rpc_parse/parse_shutdown.o passdb/secrets.o passdb/machine_sid.o   locking/locking.o locking/brlock.o locking/posix.o passdb/pdb_get_set.o passdb/passdb.o passdb/pdb_interface.o  passdb/util_wellknown.o passdb/util_builtin.o passdb/pdb_compat.o  passdb/util_unixsids.o passdb/lookup_sid.o  passdb/login_cache.o  passdb/pdb_smbpasswd.o passdb/pdb_tdb.o  lib/account_pol.o lib/privileges.o lib/util_nscd.o printing/pcap.o printing/print_svid.o printing/print_aix.o  printing/print_cups.o printing/print_generic.o  printing/lpq_parse.o printing/load.o  printing/print_iprint.o printing/print_test.o profile/profile.o  lib/replace/replace.o lib/replace/snprintf.o lib/replace/timegm.o  lib/talloc/talloc.o lib/version.o lib/charcnv.o lib/debug.o lib/fault.o  lib/interface.o lib/md4.o  lib/interfaces.o lib/pidfile.o  lib/signal.o lib/system.o lib/sendfile.o lib/time.o  lib/ufc.o lib/genrand.o lib/username.o  lib/util_pw.o lib/access.o lib/smbrun.o  lib/bitmap.o lib/crc32.o lib/dprintf.o  lib/xfile.o lib/wins_srv.o  lib/util_str.o lib/clobber.o lib/util_sid.o lib/util_uuid.o  lib/util_unistr.o lib/util_file.o lib/data_blob.o  lib/util.o lib/util_sock.o lib/sock_exec.o lib/util_sec.o  lib/substitute.o lib/fsusage.o  lib/ms_fnmatch.o lib/select.o lib/messages.o  lib/tallocmsg.o lib/dmallocmsg.o libsmb/smb_signing.o  lib/md5.o lib/hmacmd5.o lib/arc4.o lib/iconv.o  nsswitch/wb_client.o nsswitch/wb_common.o  lib/pam_errors.o intl/lang_tdb.o  lib/adt_tree.o lib/gencache.o tdb/common/tdb.o tdb/common/dump.o tdb/common/error.o  tdb/common/freelist.o tdb/common/freelistcheck.o tdb/common/io.o tdb/common/lock.o  tdb/common/open.o tdb/common/transaction.o tdb/common/traverse.o lib/util_tdb.o tdb/common/tdbback.o  lib/module.o lib/events.o lib/ldap_escape.o   lib/secdesc.o lib/util_seaccess.o lib/secace.o lib/secacl.o  libads/krb5_errs.o lib/system_smbd.o lib/audit.o printing/printing.o printing/nt_printing.o printing/notify.o printing/printing_db.o  smbd/oplock.o smbd/oplock_irix.o smbd/oplock_linux.o  smbd/notify.o smbd/notify_inotify.o smbd/notify_internal.o groupdb/mapping.o groupdb/mapping_tdb.o auth/auth.o  auth/auth_sam.o auth/auth_unix.o auth/auth_winbind.o auth/auth_server.o auth/auth_domain.o auth/auth_builtin.o auth/auth_util.o auth/auth_compat.o  auth/auth_ntlmssp.o  auth/pampass.o auth/pass_check.o libsmb/samlogon_cache.o libsmb/namequery_dc.o libsmb/trustdom_cache.o libsmb/trusts_util.o  rpc_client/cli_lsarpc.o rpc_client/cli_samr.o  rpc_client/cli_netlogon.o rpc_client/cli_srvsvc.o rpc_client/cli_reg.o rpc_client/cli_pipe.o  rpc_client/cli_spoolss.o rpc_client/cli_spoolss_notify.o   rpc_client/cli_ds.o rpc_client/cli_svcctl.o  rpc_client/cli_shutdown.o rpc_client/cli_dfs.o rpc_client/cli_echo.o librpc/gen_ndr/cli_wkssvc.o  librpc/gen_ndr/ndr_wkssvc.o librpc/gen_ndr/ndr_notify.o librpc/ndr/ndr_basic.o librpc/ndr/ndr.o librpc/ndr/ndr_misc.o  librpc/ndr/ndr_sec_helper.o librpc/ndr/ndr_string.o librpc/ndr/sid.o  rpc_client/ndr.o  libads/ldap.o libads/ldap_printer.o libads/sasl.o  libads/krb5_setpw.o libads/ldap_user.o  libads/ads_struct.o libads/kerberos_keytab.o  libads/disp_sec.o libads/ads_utils.o libads/ldap_utils.o  libads/authdata.o libads/cldap.o libads/kerberos.o libads/ads_status.o  libads/util.o libads/kerberos_verify.o  libads/ldap_schema.o   registry/reg_frontend.o registry/reg_cachehook.o registry/reg_printing.o  registry/reg_db.o registry/reg_eventlog.o registry/reg_shares.o  registry/reg_util.o registry/reg_dynamic.o registry/reg_perfcount.o lib/popt_common.o   smbd/build_options.o  smbd/server.o -L/opt/lib32          -lexc -liconv popt/findme.o popt/popt.o popt/poptconfig.o  popt/popthelp.o popt/poptparse.o -lfam -lC  
Comment 3 James Peach 2007-05-12 23:08:38 UTC
Fixed in rev 22820.